Subject: [lemonade] BURL Comments

From: "Vaudreuil, Greg M (Greg)" <[email-masked]>
Date: Thu, 10 Mar 2005 20:54:11 -0600

The first two sentences in the abstract seem inconsistent.. or at least they read odd.  The Abstract states that the BURL is for submission of complete messages. This was expanded to include use of BURL for incorporation of message fragments in conjunction with BDAT.  I suggest rewording the abstract to maybe to indicate useful for submission of fully composed messages or for assembly of messages from various piece-parts.

It would be useful to add an example of mixing BURL and BDAT.  In particular, some details about getting the MIME boundary markers right for piece-wise assembled messages for reference content would help gain confidence.  

I think security considerations require that the IMAP server MUST be federated with the particular IMAP server a client is using before it should trust it to fetch info for that server.   Further, somewhere we need language that a SMTP-submission server should authentiate to the IMAP server in a submission role.  Is that text for the BURL document or the Lemonade profile?  I suspect the BURL document since this is supposed to be secure independent of Lemonade.  I think the examples should be enhanced to note this.

Greg V.

_______________________________________________
lemonade mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/lemonade